<?php
function plugin_install()
{
  $conf = array(
    'size' => 'small',
    'position' => 'toolbar',
    'count' => true,
    'via' => null,
    );
      
  conf_update_param('TweetThis', serialize($conf));
}

function plugin_activate()
{
  global $conf;
  
  if (@unserialize($conf['TweetThis']) === false)
  {
    $conf = explode(',', $conf['TweetThis']);
    $conf = array(
      'size' => 'small',
      'position' => $conf[1],
      'count' => $conf[1]=='horizontal' || $conf[1]=='vertical',
      'via' => null,
      );
      
    conf_update_param('TweetThis', serialize($conf));
  }
}

function plugin_uninstall()
{
  pwg_query('DELETE FROM '.CONFIG_TABLE.' WHERE param="TweetThis" LIMIT 1;');
}

?>